Index: /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4309 2019-11-26 18:49:59Z suehring
 ! Computation of velocity seeds optimized. This implies that random numbers 
 ! are computed now using the parallel random number generator. Random numbers 
@@ -193,5 +196,5 @@
                nyng,                                                           &
                nysg,                                                           &
-               wall_flags_0
+               wall_flags_static_0
 
     USE kinds
@@ -972,5 +975,5 @@
        nr_non_topo_yz_l(1) = SUM(                                              &
                           MERGE( 1, 0,                                         &
-                                 BTEST( wall_flags_0(nzb:nzt,nys:nyn,i), 1 ) ) )
+                                 BTEST( wall_flags_static_0(nzb:nzt,nys:nyn,i), 1 ) ) )
 !
 !--    Number of grid points where perturbations are imposed on v and w                                   
@@ -980,8 +983,8 @@
        nr_non_topo_yz_l(2) = SUM(                                              &
                           MERGE( 1, 0,                                         &
-                                 BTEST( wall_flags_0(nzb:nzt,nysv:nyn,i), 2 ) ) )
+                                 BTEST( wall_flags_static_0(nzb:nzt,nysv:nyn,i), 2 ) ) )
        nr_non_topo_yz_l(3) = SUM(                                              &
                           MERGE( 1, 0,                                         &
-                                 BTEST( wall_flags_0(nzb:nzt,nys:nyn,i), 3 ) ) )
+                                 BTEST( wall_flags_static_0(nzb:nzt,nys:nyn,i), 3 ) ) )
                                     
 #if defined( __parallel )
@@ -1001,5 +1004,5 @@
        nr_non_topo_xz_l(2) = SUM(                                              &
                           MERGE( 1, 0,                                         &
-                                 BTEST( wall_flags_0(nzb:nzt,j,nxl:nxr), 2 ) ) )
+                                 BTEST( wall_flags_static_0(nzb:nzt,j,nxl:nxr), 2 ) ) )
 !
 !--    Number of grid points where perturbations are imposed on u and w 
@@ -1009,8 +1012,8 @@
        nr_non_topo_xz_l(1) = SUM(                                              &
                           MERGE( 1, 0,                                         &
-                                 BTEST( wall_flags_0(nzb:nzt,j,nxlu:nxr), 1 ) ) )
+                                 BTEST( wall_flags_static_0(nzb:nzt,j,nxlu:nxr), 1 ) ) )
        nr_non_topo_xz_l(3) = SUM(                                              &
                           MERGE( 1, 0,                                         &
-                                 BTEST( wall_flags_0(nzb:nzt,j,nxl:nxr), 3 ) ) )
+                                 BTEST( wall_flags_static_0(nzb:nzt,j,nxl:nxr), 3 ) ) )
                                     
 #if defined( __parallel )
@@ -1337,5 +1340,5 @@
                 dist_yz(k,j,1) = MIN( a11(k) * fu_yz(k,j), 3.0_wp ) *          &
                                     MERGE( 1.0_wp, 0.0_wp,                     &
-                                           BTEST( wall_flags_0(k,j,i), 1 ) )
+                                           BTEST( wall_flags_static_0(k,j,i), 1 ) )
              ENDDO
           ENDDO
@@ -1354,5 +1357,5 @@
                                          + a22(k) * fv_yz(k,j) ), 3.0_wp ) *   &
                                     MERGE( 1.0_wp, 0.0_wp,                     &
-                                           BTEST( wall_flags_0(k,j,i), 2 ) )   
+                                           BTEST( wall_flags_static_0(k,j,i), 2 ) )   
                 dist_yz(k,j,3) = MIN( ( SQRT(a33(k) / MAXVAL(a33) )            &
                                       * 1.3_wp )                               &
@@ -1361,5 +1364,5 @@
                                         + a33(k) * fw_yz(k,j) ), 3.0_wp )  *   &
                                     MERGE( 1.0_wp, 0.0_wp,                     &
-                                           BTEST( wall_flags_0(k,j,i), 3 ) )
+                                           BTEST( wall_flags_static_0(k,j,i), 3 ) )
              ENDDO
           ENDDO
@@ -1384,5 +1387,5 @@
           mc_factor_l(1) = SUM( dist_yz(nzb:nzt,nys:nyn,1)                     &
                          * MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_0(nzb:nzt,nys:nyn,i), 1 ) ) )
+                                  BTEST( wall_flags_static_0(nzb:nzt,nys:nyn,i), 1 ) ) )
         
           IF ( myidx == id_stg_left  )  i = nxl-1
@@ -1391,8 +1394,8 @@
           mc_factor_l(2) = SUM( dist_yz(nzb:nzt,nysv:nyn,2)                    &
                           * MERGE( 1.0_wp, 0.0_wp,                             &
-                                   BTEST( wall_flags_0(nzb:nzt,nysv:nyn,i), 2 ) ) )
+                                   BTEST( wall_flags_static_0(nzb:nzt,nysv:nyn,i), 2 ) ) )
           mc_factor_l(3) = SUM( dist_yz(nzb:nzt,nys:nyn,3)                     &
                           * MERGE( 1.0_wp, 0.0_wp,                             &
-                                   BTEST( wall_flags_0(nzb:nzt,nys:nyn,i), 3 ) ) )
+                                   BTEST( wall_flags_static_0(nzb:nzt,nys:nyn,i), 3 ) ) )
           
 #if defined( __parallel )
@@ -1411,5 +1414,5 @@
           dist_yz(:,:,1) = ( dist_yz(:,:,1) - mc_factor(1) )                   &
                         * MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_0(:,:,i), 1 ) )             
+                                 BTEST( wall_flags_static_0(:,:,i), 1 ) )             
                                                                                
                                                                                
@@ -1419,9 +1422,9 @@
           dist_yz(:,:,2) = ( dist_yz(:,:,2) - mc_factor(2) )                   &
                         * MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_0(:,:,i), 2 ) )             
+                                 BTEST( wall_flags_static_0(:,:,i), 2 ) )             
                                                                                
           dist_yz(:,:,3) = ( dist_yz(:,:,3) - mc_factor(3) )                   &
                         * MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_0(:,:,i), 3 ) )
+                                 BTEST( wall_flags_static_0(:,:,i), 3 ) )
 !      
 !--       Add disturbances
@@ -1439,12 +1442,12 @@
                                            dist_yz(k,j,1)             )        &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                            BTEST( wall_flags_0(k,j,0), 1 ) )  
+                                            BTEST( wall_flags_static_0(k,j,0), 1 ) )  
                       v(k,j,-nbgp:-1)  = ( mean_inflow_profiles(k,2) +         &
                                            dist_yz(k,j,2)             )        &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                            BTEST( wall_flags_0(k,j,-1), 2 ) ) 
+                                            BTEST( wall_flags_static_0(k,j,-1), 2 ) ) 
                       w(k,j,-nbgp:-1)  =   dist_yz(k,j,3)                      &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                            BTEST( wall_flags_0(k,j,-1), 3 ) )
+                                            BTEST( wall_flags_static_0(k,j,-1), 3 ) )
                    ENDDO
                 ENDDO
@@ -1455,12 +1458,12 @@
                       u(k,j,0)   = ( u(k,j,0) + dist_yz(k,j,1) )               &
                                  * MERGE( 1.0_wp, 0.0_wp,                      &
-                                          BTEST( wall_flags_0(k,j,0), 1 ) )
+                                          BTEST( wall_flags_static_0(k,j,0), 1 ) )
                       u(k,j,-1)  = u(k,j,0)
                       v(k,j,-1)  = ( v(k,j,-1)  + dist_yz(k,j,2)  )            &
                                  * MERGE( 1.0_wp, 0.0_wp,                      &
-                                          BTEST( wall_flags_0(k,j,-1), 2 ) )
+                                          BTEST( wall_flags_static_0(k,j,-1), 2 ) )
                       w(k,j,-1)  = ( w(k,j,-1)  + dist_yz(k,j,3) )             &
                                  * MERGE( 1.0_wp, 0.0_wp,                      &
-                                          BTEST( wall_flags_0(k,j,-1), 3 ) )
+                                          BTEST( wall_flags_static_0(k,j,-1), 3 ) )
                    ENDDO
                 ENDDO
@@ -1472,11 +1475,11 @@
                    u(k,j,nxr+1) = ( u(k,j,nxr+1) + dist_yz(k,j,1) )            &
                                   * MERGE( 1.0_wp, 0.0_wp,                     &
-                                           BTEST( wall_flags_0(k,j,nxr+1), 1 ) ) 
+                                           BTEST( wall_flags_static_0(k,j,nxr+1), 1 ) ) 
                    v(k,j,nxr+1) = ( v(k,j,nxr+1) + dist_yz(k,j,2) )            &
                                   * MERGE( 1.0_wp, 0.0_wp,                     &
-                                           BTEST( wall_flags_0(k,j,nxr+1), 2 ) )
+                                           BTEST( wall_flags_static_0(k,j,nxr+1), 2 ) )
                    w(k,j,nxr+1) = ( w(k,j,nxr+1) + dist_yz(k,j,3) )            &
                                   * MERGE( 1.0_wp, 0.0_wp,                     &
-                                           BTEST( wall_flags_0(k,j,nxr+1), 3 ) )
+                                           BTEST( wall_flags_static_0(k,j,nxr+1), 3 ) )
                 ENDDO
              ENDDO
@@ -1537,5 +1540,5 @@
                                          + a22(k) * fv_xz(k,i) ), 3.0_wp ) *   &
                                     MERGE( 1.0_wp, 0.0_wp,                     &
-                                           BTEST( wall_flags_0(k,j,i), 2 ) )
+                                           BTEST( wall_flags_static_0(k,j,i), 2 ) )
              ENDDO
           ENDDO
@@ -1550,5 +1553,5 @@
                 dist_xz(k,i,1) = MIN( a11(k) * fu_xz(k,i), 3.0_wp ) *          &
                                     MERGE( 1.0_wp, 0.0_wp,                     &
-                                           BTEST( wall_flags_0(k,j,i), 1 ) )   
+                                           BTEST( wall_flags_static_0(k,j,i), 1 ) )   
           
                 dist_xz(k,i,3) = MIN( ( SQRT(a33(k) / MAXVAL(a33) )            &
@@ -1558,5 +1561,5 @@
                                         + a33(k) * fw_xz(k,i) ), 3.0_wp )  *   &
                                     MERGE( 1.0_wp, 0.0_wp,                     &
-                                           BTEST( wall_flags_0(k,j,i), 3 ) ) 
+                                           BTEST( wall_flags_static_0(k,j,i), 3 ) ) 
              ENDDO
           ENDDO
@@ -1579,5 +1582,5 @@
           mc_factor_l(2) = SUM( dist_xz(nzb:nzt,nxl:nxr,2)                     &
                          * MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_0(nzb:nzt,j,nxl:nxr), 2 ) ) )
+                                  BTEST( wall_flags_static_0(nzb:nzt,j,nxl:nxr), 2 ) ) )
           
           IF ( myidy == id_stg_south  ) j = nys-1
@@ -1586,8 +1589,8 @@
           mc_factor_l(1) = SUM( dist_xz(nzb:nzt,nxlu:nxr,1)                    &
                          * MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_0(nzb:nzt,j,nxlu:nxr), 1 ) ) )
+                                  BTEST( wall_flags_static_0(nzb:nzt,j,nxlu:nxr), 1 ) ) )
           mc_factor_l(3) = SUM( dist_xz(nzb:nzt,nxl:nxr,3)                     &
                          * MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_0(nzb:nzt,j,nxl:nxr), 3 ) ) )
+                                  BTEST( wall_flags_static_0(nzb:nzt,j,nxl:nxr), 3 ) ) )
           
 #if defined( __parallel )
@@ -1605,5 +1608,5 @@
           dist_xz(:,:,2)   = ( dist_xz(:,:,2) - mc_factor(2) )                 &
                            * MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(:,j,:), 2 ) )          
+                                    BTEST( wall_flags_static_0(:,j,:), 2 ) )          
                                                                                
                                                                                
@@ -1613,9 +1616,9 @@
           dist_xz(:,:,1)   = ( dist_xz(:,:,1) - mc_factor(1) )                 &
                            * MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(:,j,:), 1 ) )          
+                                    BTEST( wall_flags_static_0(:,j,:), 1 ) )          
                                                                                
           dist_xz(:,:,3)   = ( dist_xz(:,:,3) - mc_factor(3) )                 &
                            * MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(:,j,:), 3 ) )      
+                                    BTEST( wall_flags_static_0(:,j,:), 3 ) )      
 !         
 !--       Add disturbances
@@ -1625,12 +1628,12 @@
                    u(k,-1,i) = ( u(k,-1,i) + dist_xz(k,i,1) )                  &
                                         * MERGE( 1.0_wp, 0.0_wp,               &
-                                                 BTEST( wall_flags_0(k,-1,i), 1 ) )
+                                                 BTEST( wall_flags_static_0(k,-1,i), 1 ) )
                    v(k,0,i)  = ( v(k,0,i)  + dist_xz(k,i,2)  )                 &
                                         * MERGE( 1.0_wp, 0.0_wp,               &
-                                                 BTEST( wall_flags_0(k,0,i), 2 ) )
+                                                 BTEST( wall_flags_static_0(k,0,i), 2 ) )
                    v(k,-1,i) = v(k,0,i)
                    w(k,-1,i) = ( w(k,-1,i) + dist_xz(k,i,3)  )                 &
                                         * MERGE( 1.0_wp, 0.0_wp,               &
-                                                 BTEST( wall_flags_0(k,-1,i), 3 ) )
+                                                 BTEST( wall_flags_static_0(k,-1,i), 3 ) )
                 ENDDO
              ENDDO
@@ -1642,11 +1645,11 @@
                    u(k,nyn+1,i) = ( u(k,nyn+1,i) + dist_xz(k,i,1) )            &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                             BTEST( wall_flags_0(k,nyn+1,i), 1 ) )
+                                             BTEST( wall_flags_static_0(k,nyn+1,i), 1 ) )
                    v(k,nyn+1,i) = ( v(k,nyn+1,i) + dist_xz(k,i,2) )            &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,nyn+1,i), 2 ) )
+                                              BTEST( wall_flags_static_0(k,nyn+1,i), 2 ) )
                    w(k,nyn+1,i) = ( w(k,nyn+1,i) + dist_xz(k,i,3) )            &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,nyn+1,i), 3 ) )
+                                              BTEST( wall_flags_static_0(k,nyn+1,i), 3 ) )
                 ENDDO
              ENDDO
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 4328)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4281 2019-10-29 15:15:39Z schwenkel
 ! Moved boundary conditions to module interface
 ! 
@@ -366,5 +369,5 @@
 
     USE indices,                                                                                   &
-        ONLY:  advc_flags_m, advc_flags_s, nyn, nyng, nys, nysg, nz, nzb_max, wall_flags_0
+        ONLY:  advc_flags_m, advc_flags_s, nyn, nyng, nys, nysg, nz, nzb_max, wall_flags_static_0
 
     USE statistics,                                                                                &
@@ -456,5 +459,5 @@
 !$ACC COPYIN(advc_flags_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg)) &
 !$ACC COPYIN(advc_flags_s(nzb:nzt+1,nysg:nyng,nxlg:nxrg)) &
-!$ACC COPYIN(wall_flags_0(nzb:nzt+1,nysg:nyng,nxlg:nxrg))
+!$ACC COPYIN(wall_flags_static_0(nzb:nzt+1,nysg:nyng,nxlg:nxrg))
 
 !
